<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/crc.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">crc.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/de6/crc_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __CRC_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __CRC_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">/*  CRC Polynomial Mode Constant Definitions                                                               */</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1c8431dfbf144f68548fcdcb09b605f4">   36</a></span><span class="preprocessor">#define CRC_CCITT           0x00000000UL            </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e52750eccb4e3b43e187d43c47ee11c">   37</a></span><span class="preprocessor">#define CRC_8               0x40000000UL            </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4cce368b6e4d5d7c373ef499172f7d89">   38</a></span><span class="preprocessor">#define CRC_16              0x80000000UL            </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6aee885525d838fc93ed7d35d9c2d3b">   39</a></span><span class="preprocessor">#define CRC_32              0xC0000000UL            </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">/*  Checksum, Write data Constant Definitions                                                              */</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9f5457261a4248ab335b6f023a59b566">   44</a></span><span class="preprocessor">#define CRC_CHECKSUM_COM    0x08000000UL            </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc11c2c98b498874bab47c5474419802">   45</a></span><span class="preprocessor">#define CRC_CHECKSUM_RVS    0x02000000UL            </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e16dd5e3c3f5ccbbf98bb16f55d5b91">   46</a></span><span class="preprocessor">#define CRC_WDATA_COM       0x04000000UL            </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga470580021c1b2270c363a8c0e25c93c3">   47</a></span><span class="preprocessor">#define CRC_WDATA_RVS       0x01000000UL            </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="comment">/*  CPU Write Data Length Constant Definitions                                                             */</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0407652657f834c49aacc23b3ef006e5">   52</a></span><span class="preprocessor">#define CRC_CPU_WDATA_8     0x00000000UL            </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa566d8b56ee5cc4f2199faae732408c1">   53</a></span><span class="preprocessor">#define CRC_CPU_WDATA_16    0x10000000UL            </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a1a6e35a1611ad6c74fe882590b62c1">   54</a></span><span class="preprocessor">#define CRC_CPU_WDATA_32    0x20000000UL             </span><span class="comment">/* end of group NANO1X2_CRC_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dadd83ec92afc46bd51369969ae2462">   72</a></span><span class="preprocessor">#define CRC_ENABLE_INT(u32Mask)   (PDMACRC-&gt;DMAIER |= (u32Mask))</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedc732fd0d1a08a3f71a88fb1d6021ac">   83</a></span><span class="preprocessor">#define CRC_DISABLE_INT(u32Mask)   (PDMACRC-&gt;DMAIER &amp;= ~(u32Mask))</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed7be356430df0c67ddf11d575beb00e">   94</a></span><span class="preprocessor">#define CRC_GET_INT_FLAG()          ((uint32_t)(PDMACRC-&gt;DMAISR))</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed9fde59eafdf5fc7a1171e6b8953e84">  105</a></span><span class="preprocessor">#define CRC_CLR_INT_FLAG(u32Mask)   (PDMACRC-&gt;DMAISR |= (u32Mask))</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704cb815cdec5f828b3ef657ea0c2a8a">  116</a></span><span class="preprocessor">#define CRC_SET_SEED(u32Seed)   { PDMACRC-&gt;SEED = (u32Seed); PDMACRC-&gt;CTL |= DMA_CRC_CTL_CRC_RST_Msk; }</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7fa53e28332f0cd7d61c4bb6a790264d">  127</a></span><span class="preprocessor">#define CRC_GET_SEED()   ((uint32_t)(PDMACRC-&gt;SEED))</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab5c7205773dfa62e97caa845acd58407">  138</a></span><span class="preprocessor">#define CRC_WRITE_DATA(u32Data)   (PDMACRC-&gt;WDATA = (u32Data))</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="comment">/*********************************************************************/</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">CRC_Open</a>(uint32_t u32Mode, uint32_t u32Attribute, uint32_t u32Seed, uint32_t u32DataLen);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">CRC_StartDMATransfer</a>(uint32_t u32SrcAddr, uint32_t u32ByteCount);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>uint32_t <a class="code hl_function" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">CRC_GetChecksum</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> <span class="comment">/* end of group NANO1X2_CRC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> <span class="comment">/* end of group NANO1X2_CRC_Driver */</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>}</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="preprocessor">#endif </span><span class="comment">//__CRC_H__</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadf2a1ac5fbf128e350b9c381e63e7a62"><div class="ttname"><a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">CRC_Open</a></div><div class="ttdeci">void CRC_Open(uint32_t u32Mode, uint32_t u32Attribute, uint32_t u32Seed, uint32_t u32DataLen)</div><div class="ttdoc">CRC Open.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d13/crc_8c_source.html#l00041">crc.c:41</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf0156b5936a304b688e9309235bf2541"><div class="ttname"><a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">CRC_GetChecksum</a></div><div class="ttdeci">uint32_t CRC_GetChecksum(void)</div><div class="ttdoc">Get CRC Checksum.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d13/crc_8c_source.html#l00076">crc.c:76</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc59b55387534047fb3bd2d908eaf012"><div class="ttname"><a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">CRC_StartDMATransfer</a></div><div class="ttdeci">void CRC_StartDMATransfer(uint32_t u32SrcAddr, uint32_t u32ByteCount)</div><div class="ttdoc">CRC Start DMA transfer.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d13/crc_8c_source.html#l00060">crc.c:60</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
